<?
/*
Ниже происходит переход на следующий уровень, любое изменение в коде произведет к нестабильной работе игры
*/

//Выбираем самый большой уровень из списка уровней

$bigl=75;
/*Эсли в базе нету больше уровней, то переходы не выполняються, а счетчик опыта показывает ввесь, набраный за всю игру, опыт*/
if($ku['level']<$bigl)
{
if($ku['level']>1)
{
$rl=0;
$ql=mysql_query("SELECT * FROM `kolhoz_level`");
while($pl=mysql_fetch_array($ql))
{
if($pl['level']<=$ku['level'])$rl=$rl+$pl['rating'];
}
$kr=$ku['rating']-$rl;
}
else $kr=$ku['rating'];
$level=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_level` WHERE `level` = '".($ku['level']+1)."' LIMIT 1"));
if($kr>=$level['rating'])
{
  if(!empty($ku['refi'])){
    $refi=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_user` WHERE `id`='$ku[refi]' LIMIT 1"));
    mysql_query("UPDATE `kolhoz_user` SET  `rubies` = '".($refi['rubies']+3)."', `money` = '".($refi['money']+300)."' WHERE `id` = '$ku[refi]'");
    $text='Ваш реферал '.$ku['nick'].' достиг '.$level['level'].' уровня! Вам начислено 3 рубина и 300 монет';
mysql_query("INSERT INTO `kolhoz_mail` SET `id_user` = '$ku[refi]', `id_kont` = '0', `msg` = '$text', `time` = '".time()."', `type` = 'to'") or die (mysql_error());
  }
if($ku['level']<=29)$koefi=100;
if($ku['level']<=39 AND $ku['level']>=30)$koefi=1000;
if($ku['level']<=45 AND $ku['level']>=40)$koefi=10000;
if($ku['level']<=55 AND $ku['level']>=46)$koefi=100000;
if($ku['level']<=60 AND $ku['level']>=56)$koefi=1000000;
if($ku['level']<=70 AND $ku['level']>=61)$koefi=10000000;
if($ku['level']<=75 AND $ku['level']>=71)$koefi=100000000;
echo "<div class='feedback'>
Поздравляем, Вы получили <span
class='title'><span>$level[level]</span> уровень.</span><br>
Вам начислено: <span class='title'><img width='16' height='16' src='images/icons/ruby.png' alt='o'>
<span>$level[rubies]</span> и <img width='16' height='16' src='images/icons/money.png' alt='o'> <span>".($level['level']*$koefi)."</span>.</span>";

$semen=mysql_query("SELECT `name` FROM `kolhoz_plant` WHERE `level` = '$level[level]' ");
if(mysql_num_rows($semen)>=1){
echo'<br/>Доступны новые семена: ';
While($sem=mysql_fetch_array($semen)){
echo "$sem[name], ";
}
}

$semen=mysql_query("SELECT `name` FROM `kolhoz_fish` WHERE `level` = '$level[level]' ");
if(mysql_num_rows($semen)>=1){
echo'<br/>Доступны новые рыбы: ';
While($sem=mysql_fetch_array($semen)){
echo "$sem[name], ";
}
}

$semen=mysql_query("SELECT `name` FROM `kolhoz_pet` WHERE `level` = '$level[level]' ");
if(mysql_num_rows($semen)>=1){
echo'<br/>Доступны новые животные: ';
While($sem=mysql_fetch_array($semen)){
echo "$sem[name], ";
}
}

$semen=mysql_query("SELECT `name` FROM `kolhoz_soil` WHERE `level` = '$level[level]' ");
if(mysql_num_rows($semen)>=1){
echo'<br/>Доступно новое удобрение: ';
While($sem=mysql_fetch_array($semen)){
echo "$sem[name] ";
}
}

//////Гидропоника
$timee=3600*1;
$ps=50;
if($ku['hydropinics_time']>$time)
{
$ps=$ku['hydropinics_type']+$ps;
if($ps>400)$ps=400;
}

mysql_query("UPDATE `kolhoz_user` SET `hydropinics_time` = '".($ku['hydropinics_time']>$time?"".($ku['hydropinics_time']+$timee)."":"".($time+$timee)."")."', `hydropinics_type` = '$ps', `botanik` = '".($ku['botanik']+floor($timee/3600))."' WHERE `id` = '$ku[id]'") or die(mysql_error());

echo "<br/><img width='16' height='16' src='images/icons/hydropinics.png' alt=''> Активирована гидропоника";

//////
if($level['level']==20 or $level['level']==25 or $level['level']==30 or $level['level']==35 or $level['level']==40 or $level['level']==45 or $level['level']==50 or $level['level']==55 or $level['level']==60 or $level['level']==65  or $level['level']>65){
mysql_query("INSERT INTO `kolhoz_key` SET `id_user` = '$ku[id]', `time` = '259200' ") or die (mysql_error());
echo"<br/><img width='16' height='16' src='images/icons/pkey.png' alt='o'> Получен ключ от погреба!";
}
echo"<br/>Хорошего урожая!</div>";
mysql_query("UPDATE `kolhoz_user` SET `level` = '$level[level]', `rubies` = '".($ku['rubies']+$level['rubies'])."', `money` = '".($ku['money']+($level['level']*$koefi))."' WHERE `id` = '$ku[id]'");
$ku['level']=$level['level'];
$ku['money']=$ku['money']+($level['level']*$koefi);
$ku['rubies']=$ku['rubies']+$level['rubies'];
$rl=0;
$ql=mysql_query("SELECT * FROM `kolhoz_level`");
while($pl=mysql_fetch_array($ql))
{
if($pl['level']<=$ku['level'])$rl=$rl+$pl['rating'];
}
$kr=$ku['rating']-$rl;
$level=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_level` WHERE `level` = '".($ku['level']+1)."' LIMIT 1"));
}
}

//Устанавливаем 1 первый уровень, если тот уровень что у пользователя не найден в базе
//Потом уровень будет подбит под сюществующий опыт

//mysql_query("UPDATE `kolhoz_user` SET `level` = '1' WHERE `level` = '0'");
if(empty($kr))$kr=0;
if($kr<0)mysql_query("UPDATE `kolhoz_user` SET `level` = '$ku[level]'-'1' WHERE `id` = '$ku[id]'");
?>